Package org.eclipse.emf.cdo.server

# Class CDOServerExporter.Statistics

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerExporter.Statistics

Enclosing class:
  CDOServerExporter<OUT>

public static final class CDOServerExporter.Statistics extends Object

Since:
  4.8
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`blobs`
`long`
`branches`
`long`
`clobs`
`long`
`commits`
`long`
`packageInfos`
`long`
`packageUnits`
`long`
`revisions`

## Constructor Summary

Constructors
Constructor
Description
`Statistics()`

## Method Summary

Modifier and Type
Method
Description
`void`
`dump(org.eclipse.net4j.util.Handler<String> handler)`
Deprecated.
As of 4.9 use `dumpStrings(Consumer)`.
`void`
`dumpStrings(Consumer<String> consumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### packageUnits

public long packageUnits

### packageInfos

public long packageInfos

### branches

public long branches

### revisions

public long revisions

### blobs

public long blobs

### clobs

public long clobs

### commits

public long commits

## Constructor Details

### Statistics

public Statistics()

## Method Details

### dump

@Deprecated public void dump(org.eclipse.net4j.util.Handler<String> handler)
Deprecated.
As of 4.9 use `dumpStrings(Consumer)`.

### dumpStrings

public void dumpStrings(Consumer<String> consumer)

Since:
  4.9